Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1180403 - Readline backward search broken in mysql client
Readline backward search broken in mysql client
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Dorňák
Fedora Extras Quality Assurance
:
Depends On: 1460155 1202022
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-09 01:58 EST by pletnev.rusalex
Modified: 2017-06-09 05:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 02:07:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pletnev.rusalex 2015-01-09 01:58:09 EST
Description of problem:


Fedora release 21 (Twenty One) :
mysql  Ver 15.1 Distrib 10.0.15-MariaDB, for Linux (x86_64) using  EditLine wrapper

How reproducible:


Steps to Reproduce:
1. run mysql client
2. type any command
3. try to search with Ctr-r keys

Actual results:
nothing happens

Expected results:
search word requested

Additional info:
Comment 1 Jakob Hirsch 2015-01-09 06:57:20 EST
As the version info says: mariadb client is now using EditLine (since #1079637), which has slightly different default bindings. Just put this in your ~/.editrc (yes, /etc/editrc is not considered):

bind ^R em-inc-search-prev

I also have this:

bind "^W" ed-delete-prev-word
bind "^U" vi-kill-line-prev

So it's not a bug, just unexpected and surprising behaviour.
Comment 2 Sergio Monteiro Basto 2015-02-16 16:08:53 EST
(In reply to Jakob Hirsch from comment #1)
> As the version info says: mariadb client is now using EditLine (since
> #1079637), which has slightly different default bindings. Just put this in
> your ~/.editrc (yes, /etc/editrc is not considered):

Also cleaned all my .mysql_history , shouldn't do a backup of previous .mysql_history ? 

I will check bug #1079637

Thanks,
Comment 3 Honza Horak 2015-03-14 06:44:54 EDT
Thanks for reporting, I think it may be fixed directly in mariadb or in libedit, we just need to find the best way. Just reported: https://mariadb.atlassian.net/browse/MDEV-7777
Comment 4 Sergio Monteiro Basto 2015-03-14 10:27:01 EDT
Honza Horak you on bug #1079637  drop readline  because : 
"First thing ... would be compiling against the recent version of readline. However, since version 6.x it is GPLv3+, so we cannot use it because mariadb is GPLv2 only."

and I wrote:

I think this is a mistake, "GPLv2 only" is "linkable" with GPLv3+  but result will be GPLv2 and GPLv3+ , not "GPLv2 only" and that is not a problem for us . 

Mariadb is GPLv2 only and use a copy of readline under GPLv2, that is fine. We can use mariadb with readline GPLv3+ but the final License will be GPLv2 and GPLv3+ . 

Can I block bug #1079637 with FE-Legal tracker (bug #182235) and reopen this bug  ? to FE-Legal clarify who is right .
Comment 5 Sergio Monteiro Basto 2015-07-02 17:03:59 EDT
Hi, Honza Horak
I'm pretty sure that you can use readline with mysql just need change License to 
 GPLv2 and GPLv3+ . or  GPLv2 with exception of readline that use GPLv3+
Comment 6 Fedora Admin XMLRPC Client 2015-08-11 06:03:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Sergio Monteiro Basto 2015-10-28 12:00:02 EDT
(In reply to Sergio Monteiro Basto from comment #5)
I just found this : 

https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#How_should_I_handle_multiple_licensing_situations.3F

3 - A package has multiple binaries, some of them are GPLv2, some are GPLv3, and some are MIT licensed. In this case, you do need to list all of the individual licenses of the compiled binaries in the License tag, so it should read: License: GPLv2 and GPLv3 and MIT
Comment 8 Fedora End Of Life 2015-11-04 10:18:45 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-12-02 02:07:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.